Account_creator

## Typedefs

typedef void(* | LinphoneAccountCreatorCbsStatusCb) (LinphoneAccountCreator *creator, LinphoneAccountCreatorStatus status, const char *response)
| Callback to notify a response of server.
typedef struct _LinphoneAccountCreator | LinphoneAccountCreator
| The object used to configure an account on a server via XML-RPC, see https://wiki.linphone.org/xwiki/wiki/public/view/Lib/Features/Override%20account%20creator%20request/.
typedef struct _LinphoneAccountCreatorService | LinphoneAccountCreatorService
| An object to define a LinphoneAccountCreator service.
typedef struct _LinphoneAccountCreatorCbs | LinphoneAccountCreatorCbs
| An object to handle the responses callbacks for handling the LinphoneAccountCreator operations.
typedef enum _LinphoneAccountCreatorPhoneNumberStatus | LinphoneAccountCreatorPhoneNumberStatus
| Enum describing phone number checking, used by the LinphoneAccountCreator.
typedef unsigned int | LinphoneAccountCreatorPhoneNumberStatusMask
| A mask of LinphoneAccountCreatorPhoneNumberStatus values.
typedef enum _LinphoneAccountCreatorBackend | LinphoneAccountCreatorBackend
| Enum describing backend used in the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorUsernameStatus | LinphoneAccountCreatorUsernameStatus
| Enum describing username checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorEmailStatus | LinphoneAccountCreatorEmailStatus
| Enum describing email checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorPasswordStatus | LinphoneAccountCreatorPasswordStatus
| Enum describing password checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorLanguageStatus | LinphoneAccountCreatorLanguageStatus
| Enum describing language checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorAlgoStatus | LinphoneAccountCreatorAlgoStatus
| Enum describing algorithm checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorActivationCodeStatus | LinphoneAccountCreatorActivationCodeStatus
| Enum describing activation code checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorDomainStatus | LinphoneAccountCreatorDomainStatus
| Enum describing domain checking, used by the LinphoneAccountCreator.
typedef enum _LinphoneAccountCreatorTransportStatus | LinphoneAccountCreatorTransportStatus
| Enum describing transport checking, used by the LinphoneAccountCreator.

## Enumerations

enum | _LinphoneAccountCreatorPhoneNumberStatus { LinphoneAccountCreatorPhoneNumberStatusOk = 0x1 , LinphoneAccountCreatorPhoneNumberStatusTooShort = 0x2 , LinphoneAccountCreatorPhoneNumberStatusTooLong = 0x4 , LinphoneAccountCreatorPhoneNumberStatusInvalidCountryCode = 0x8 , LinphoneAccountCreatorPhoneNumberStatusInvalid = 0x10 }
| Enum describing phone number checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorBackend { LinphoneAccountCreatorBackendXMLRPC = 0 , LinphoneAccountCreatorBackendFlexiAPI = 1 }
| Enum describing backend used in the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorUsernameStatus { LinphoneAccountCreatorUsernameStatusOk = 0 , LinphoneAccountCreatorUsernameStatusTooShort = 1 , LinphoneAccountCreatorUsernameStatusTooLong = 2 , LinphoneAccountCreatorUsernameStatusInvalidCharacters = 3 , LinphoneAccountCreatorUsernameStatusInvalid = 4 }
| Enum describing username checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorEmailStatus { LinphoneAccountCreatorEmailStatusOk = 0 , LinphoneAccountCreatorEmailStatusMalformed = 1 , LinphoneAccountCreatorEmailStatusInvalidCharacters = 2 }
| Enum describing email checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorPasswordStatus { LinphoneAccountCreatorPasswordStatusOk = 0 , LinphoneAccountCreatorPasswordStatusTooShort = 1 , LinphoneAccountCreatorPasswordStatusTooLong = 2 , LinphoneAccountCreatorPasswordStatusInvalidCharacters = 3 , LinphoneAccountCreatorPasswordStatusMissingCharacters = 4 }
| Enum describing password checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorLanguageStatus { LinphoneAccountCreatorLanguageStatusOk = 0 }
| Enum describing language checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorAlgoStatus { LinphoneAccountCreatorAlgoStatusOk = 0 , LinphoneAccountCreatorAlgoStatusNotSupported = 1 }
| Enum describing algorithm checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorActivationCodeStatus { LinphoneAccountCreatorActivationCodeStatusOk = 0 , LinphoneAccountCreatorActivationCodeStatusTooShort = 1 , LinphoneAccountCreatorActivationCodeStatusTooLong = 2 , LinphoneAccountCreatorActivationCodeStatusInvalidCharacters = 3 }
| Enum describing activation code checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorDomainStatus { LinphoneAccountCreatorDomainOk = 0 , LinphoneAccountCreatorDomainInvalid = 1 }
| Enum describing domain checking, used by the LinphoneAccountCreator. More...
enum | _LinphoneAccountCreatorTransportStatus { LinphoneAccountCreatorTransportOk = 0 , LinphoneAccountCreatorTransportUnsupported = 1 }
| Enum describing transport checking, used by the LinphoneAccountCreator. More...

## Functions

LinphoneAccountCreator * | linphone_account_creator_create (LinphoneCore *core)
| Create a LinphoneAccountCreator and set Linphone Request callbacks.
LinphoneAccountCreator * | linphone_account_creator_new (LinphoneCore *core, const char *xmlrpc_url)
| Create a LinphoneAccountCreator and set Linphone Request callbacks.
void | linphone_account_creator_reset (LinphoneAccountCreator *creator)
| Reset the account creator entries like username, password, phone number...
LinphoneAccountCreatorStatus | linphone_account_creator_is_account_exist (LinphoneAccountCreator *creator)
| Send a request to know the existence of account on server.
LinphoneAccountCreatorStatus | linphone_account_creator_create_account (LinphoneAccountCreator *creator)
| Send a request to create an account on server.
LinphoneAccountCreatorStatus | linphone_account_creator_create_push_account (LinphoneAccountCreator *creator)
| Send a request to create a push account on server.
LinphoneAccountCreatorStatus | linphone_account_creator_is_account_activated (LinphoneAccountCreator *creator)
| Send a request to know if an account is activated on server.
LinphoneAccountCreatorStatus | linphone_account_creator_activate_account (LinphoneAccountCreator *creator)
| Send a request to activate an account on server.
LinphoneAccountCreatorStatus | linphone_account_creator_link_account (LinphoneAccountCreator *creator)
| Send a request to link an account to an alias.
LinphoneAccountCreatorStatus | linphone_account_creator_activate_alias (LinphoneAccountCreator *creator)
| Send a request to activate an alias.
LinphoneAccountCreatorStatus | linphone_account_creator_is_alias_used (LinphoneAccountCreator *creator)
| Send a request to know if an alias is used.
LinphoneAccountCreatorStatus | linphone_account_creator_is_account_linked (LinphoneAccountCreator *creator)
| Send a request to know if an account is linked.
LinphoneAccountCreatorStatus | linphone_account_creator_recover_account (LinphoneAccountCreator *creator)
| Send a request to recover an account.
LinphoneAccountCreatorStatus | linphone_account_creator_update_account (LinphoneAccountCreator *creator)
| Send a request to update an account.
LinphoneAccountCreatorStatus | linphone_account_creator_login_linphone_account (LinphoneAccountCreator *creator)
| Send a request to get the password & algorithm of an account using the confirmation key.
LinphoneAccountCreatorStatus | linphone_account_creator_request_auth_token (LinphoneAccountCreator *creator)
| Request an auth token to be send by the backend by push notification.
LinphoneAccountCreatorStatus | linphone_account_creator_request_account_creation_request_token (LinphoneAccountCreator *creator)
| Request an account creation "request_token" to be used on account creations.
LinphoneAccountCreatorStatus | linphone_account_creator_request_account_creation_token_using_request_token (LinphoneAccountCreator *creator)
| Send a request to get a token to be used for account creation from a request_token.
LinphoneAccountCreator * | linphone_account_creator_ref (LinphoneAccountCreator *creator)
| Acquire a reference to the LinphoneAccountCreator.
void | linphone_account_creator_unref (LinphoneAccountCreator *creator)
| Release reference to the LinphoneAccountCreator.
void * | linphone_account_creator_get_user_data (const LinphoneAccountCreator *creator)
| Retrieve the user pointer associated with the LinphoneAccountCreator.
void | linphone_account_creator_set_user_data (LinphoneAccountCreator *creator, void *user_data)
| Assign a user pointer to the LinphoneAccountCreator.
void | linphone_account_creator_set_proxy_config (LinphoneAccountCreator *creator, LinphoneProxyConfig *cfg)
| Assign a proxy config pointer to the LinphoneAccountCreator.
LinphoneAccountCreatorUsernameStatus | linphone_account_creator_set_username (LinphoneAccountCreator *creator, const char *username)
| Set the username.
const char * | linphone_account_creator_get_username (const LinphoneAccountCreator *creator)
| Get the username.
void | linphone_account_creator_set_pn_provider (LinphoneAccountCreator *creator, const char *pn_provider)
| Set the provider to be used by the backend to send the push notification to the device asking for an auth token.
const char * | linphone_account_creator_get_pn_provider (const LinphoneAccountCreator *creator)
| Get the provider to be used by the backend to send the push notification to the device asking for an auth token.
void | linphone_account_creator_set_pn_param (LinphoneAccountCreator *creator, const char *pn_param)
| Set the param to be used by the backend to send the push notification to the device asking for an auth token.
const char * | linphone_account_creator_get_pn_param (const LinphoneAccountCreator *creator)
| Get the param to be used by the backend to send the push notification to the device asking for an auth token.
void | linphone_account_creator_set_pn_prid (LinphoneAccountCreator *creator, const char *pn_prid)
| Set the prid to be used by the backend to send the push notification to the device asking for an auth token.
const char * | linphone_account_creator_get_pn_prid (const LinphoneAccountCreator *creator)
| Get the prid to be used by the backend to send the push notification to the device asking for an auth token.
void | linphone_account_creator_set_token (LinphoneAccountCreator *creator, const char *token)
| Set the authentication token received by push notification to be used to authenticate next queries, if required.
const char * | linphone_account_creator_get_token (const LinphoneAccountCreator *creator)
| Get the authentication token set (if any) to be used to authenticate next queries, if required.
void | linphone_account_creator_set_account_creation_request_token (LinphoneAccountCreator *creator, const char *token)
| Set the account creation request token received to be used to check user validation.
const char * | linphone_account_creator_get_account_creation_request_token (const LinphoneAccountCreator *creator)
| Get the account creation request token received to be used to check user validation.
LinphoneAccountCreatorPhoneNumberStatusMask | linphone_account_creator_set_phone_number (LinphoneAccountCreator *creator, const char *phone_number, const char *country_code)
| Set the phone number normalized.
const char * | linphone_account_creator_get_phone_number (const LinphoneAccountCreator *creator)
| Get the RFC 3966 normalized phone number.
const char * | linphone_account_creator_get_phone_country_code (const LinphoneAccountCreator *creator)
| Get the international prefix.
LinphoneAccountCreatorPasswordStatus | linphone_account_creator_set_password (LinphoneAccountCreator *creator, const char *password)
| Set the password.
const char * | linphone_account_creator_get_password (const LinphoneAccountCreator *creator)
| Get the password.
LinphoneAccountCreatorPasswordStatus | linphone_account_creator_set_ha1 (LinphoneAccountCreator *creator, const char *ha1)
| Set the ha1.
const char * | linphone_account_creator_get_ha1 (const LinphoneAccountCreator *creator)
| Get the ha1.
LinphoneAccountCreatorActivationCodeStatus | linphone_account_creator_set_activation_code (LinphoneAccountCreator *creator, const char *activation_code)
| Set the activation code.
const char * | linphone_account_creator_get_activation_code (const LinphoneAccountCreator *creator)
| Get the activation code.
LinphoneAccountCreatorLanguageStatus | linphone_account_creator_set_language (LinphoneAccountCreator *creator, const char *lang)
| Set the language to use in email or SMS if supported.
const char * | linphone_account_creator_get_language (const LinphoneAccountCreator *creator)
| Get the language use in email of SMS.
LinphoneAccountCreatorAlgoStatus | linphone_account_creator_set_algorithm (LinphoneAccountCreator *creator, const char *algorithm)
| Set the supported algorithm.
const char * | linphone_account_creator_get_algorithm (const LinphoneAccountCreator *creator)
| Get the algorithm configured in the account creator.
LinphoneAccountCreatorUsernameStatus | linphone_account_creator_set_display_name (LinphoneAccountCreator *creator, const char *display_name)
| Set the display name.
const char * | linphone_account_creator_get_display_name (const LinphoneAccountCreator *creator)
| Get the display name.
LinphoneAccountCreatorEmailStatus | linphone_account_creator_set_email (LinphoneAccountCreator *creator, const char *email)
| Set the email.
const char * | linphone_account_creator_get_email (const LinphoneAccountCreator *creator)
| Get the email.
LinphoneAccountCreatorDomainStatus | linphone_account_creator_set_domain (LinphoneAccountCreator *creator, const char *domain)
| Set the domain.
const char * | linphone_account_creator_get_domain (const LinphoneAccountCreator *creator)
| Get the domain.
LinphoneAccountCreatorTransportStatus | linphone_account_creator_set_transport (LinphoneAccountCreator *creator, LinphoneTransportType transport)
| Set Transport.
LinphoneTransportType | linphone_account_creator_get_transport (const LinphoneAccountCreator *creator)
| Get Transport.
LinphoneAccountCreatorStatus | linphone_account_creator_set_as_default (LinphoneAccountCreator *creator, bool_t set_as_default)
| Set the set_as_default property.
bool_t | linphone_account_creator_get_set_as_default (const LinphoneAccountCreator *creator)
| Get the set_as_default property.
void | linphone_account_creator_add_callbacks (LinphoneAccountCreator *creator, LinphoneAccountCreatorCbs *cbs)
| Add the LinphoneAccountCreatorCbs object to a LinphoneAccountCreator.
void | linphone_account_creator_remove_callbacks (LinphoneAccountCreator *creator, LinphoneAccountCreatorCbs *cbs)
| Removes the LinphoneAccountCreatorCbs object from a LinphoneAccountCreator.
LinphoneAccountCreatorCbs * | linphone_account_creator_get_current_callbacks (const LinphoneAccountCreator *creator)
| Get the current LinphoneAccountCreatorCbs object associated with a LinphoneAccountCreator.
LinphoneAccountCreatorService * | linphone_account_creator_get_service (const LinphoneAccountCreator *creator)
| Get the LinphoneAccountCreatorService object associated with a LinphoneAccountCreator.
LinphoneAccountCreatorCbs * | linphone_account_creator_cbs_ref (LinphoneAccountCreatorCbs *cbs)
| Acquire a reference to a LinphoneAccountCreatorCbs object.
void | linphone_account_creator_cbs_unref (LinphoneAccountCreatorCbs *cbs)
| Release a reference to a LinphoneAccountCreatorCbs object.
void * | linphone_account_creator_cbs_get_user_data (const LinphoneAccountCreatorCbs *cbs)
| Retrieve the user pointer associated with a LinphoneAccountCreatorCbs object.
void | linphone_account_creator_cbs_set_user_data (LinphoneAccountCreatorCbs *cbs, void *user_data)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_create_account (const LinphoneAccountCreatorCbs *cbs)
| Get the create account request.
void | linphone_account_creator_cbs_set_create_account (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_is_account_exist (const LinphoneAccountCreatorCbs *cbs)
| Get the is account exist request.
void | linphone_account_creator_cbs_set_is_account_exist (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_activate_account (const LinphoneAccountCreatorCbs *cbs)
| Get the activate account request.
void | linphone_account_creator_cbs_set_activate_account (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_send_token (const LinphoneAccountCreatorCbs *cbs)
| Get the activate account request.
void | linphone_account_creator_cbs_set_send_token (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_account_creation_request_token (const LinphoneAccountCreatorCbs *cbs)
| Get the callback on account creation request token.
void | linphone_account_creator_cbs_set_account_creation_request_token (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_account_creation_token_using_request_token (const LinphoneAccountCreatorCbs *cbs)
| Get the callback on account creation token.
void | linphone_account_creator_cbs_set_account_creation_token_using_request_token (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_is_account_activated (const LinphoneAccountCreatorCbs *cbs)
| Get the is account activated request.
void | linphone_account_creator_cbs_set_is_account_activated (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_link_account (const LinphoneAccountCreatorCbs *cbs)
| Get the link account request.
void | linphone_account_creator_cbs_set_link_account (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_activate_alias (const LinphoneAccountCreatorCbs *cbs)
| Get the activate alias request.
void | linphone_account_creator_cbs_set_activate_alias (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_is_alias_used (const LinphoneAccountCreatorCbs *cbs)
| Get the is alias used request.
void | linphone_account_creator_cbs_set_is_alias_used (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_is_account_linked (const LinphoneAccountCreatorCbs *cbs)
| Get the is account linked request.
void | linphone_account_creator_cbs_set_is_account_linked (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_recover_account (const LinphoneAccountCreatorCbs *cbs)
| Get the recover account request.
void | linphone_account_creator_cbs_set_recover_account (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_update_account (const LinphoneAccountCreatorCbs *cbs)
| Get the update account request.
void | linphone_account_creator_cbs_set_update_account (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneAccountCreatorCbsStatusCb | linphone_account_creator_cbs_get_login_linphone_account (const LinphoneAccountCreatorCbs *cbs)
| Get the login linphone account request.
void | linphone_account_creator_cbs_set_login_linphone_account (LinphoneAccountCreatorCbs *cbs, LinphoneAccountCreatorCbsStatusCb cb)
| Assign a user pointer to a LinphoneAccountCreatorCbs object.
LinphoneProxyConfig * | linphone_account_creator_create_proxy_config (const LinphoneAccountCreator *creator)
| Create and configure a proxy config and a authentication info for an account creator.
LinphoneAccount * | linphone_account_creator_create_account_in_core (const LinphoneAccountCreator *creator)
| Create and configure a LinphoneAccount and a LinphoneAuthInfo from informations set in the LinphoneAccountCreator.
void | linphone_account_creator_use_test_admin_account (LinphoneAccountCreator *creator)
| Require the account creator to use special "test admin account".
MS2_DEPRECATED LinphoneAccountCreatorCbs * | linphone_account_creator_get_callbacks (const LinphoneAccountCreator *creator)
| Get the LinphoneAccountCreatorCbs object associated with a LinphoneAccountCreator.
MS2_DEPRECATED LinphoneAccountCreatorStatus | linphone_account_creator_set_route (LinphoneAccountCreator *creator, const char *route)
| Set the route.
MS2_DEPRECATED const char * | linphone_account_creator_get_route (const LinphoneAccountCreator *creator)
| Get the route.
MS2_DEPRECATED LinphoneProxyConfig * | linphone_account_creator_configure (const LinphoneAccountCreator *creator)
| Configure an account (create a proxy config and authentication info for it).
void | linphone_core_set_account_creator_url (LinphoneCore *core, const char *url)
| Set the LinphoneAccountCreator url on the LinphoneCore.
const char * | linphone_core_get_account_creator_url (LinphoneCore *core)
| Get the LinphoneAccountCreator url on the LinphoneCore.
void | linphone_core_set_account_creator_backend (LinphoneCore *core, LinphoneAccountCreatorBackend backend)
| Set the LinphoneAccountCreator backend on the LinphoneCore.
LinphoneAccountCreatorBackend | linphone_core_get_account_creator_backend (const LinphoneCore *lc)
| Get the LinphoneAccountCreator backend set for the LinphoneCore.
LinphoneAccountCreator * | linphone_core_create_account_creator (LinphoneCore *core, const char *xmlrpc_url)
| Create a LinphoneAccountCreator and set Linphone Request callbacks.

## Detailed Description

## Typedef Documentation

## LinphoneAccountCreatorCbsStatusCb

typedef void(* LinphoneAccountCreatorCbsStatusCb) (LinphoneAccountCreator *creator, LinphoneAccountCreatorStatus status, const char *response)

Callback to notify a response of server.

Parameters

  creator | LinphoneAccountCreator object
  status | The status of the LinphoneAccountCreator test existence operation that has just finished
  response | The response has a string

## LinphoneAccountCreatorService

typedef struct _LinphoneAccountCreatorService LinphoneAccountCreatorService

An object to define a LinphoneAccountCreator service.

## Enumeration Type Documentation

## _LinphoneAccountCreatorActivationCodeStatus

enum _LinphoneAccountCreatorActivationCodeStatus

Enum describing activation code checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorActivationCodeStatusOk | Activation code ok.
LinphoneAccountCreatorActivationCodeStatusTooShort | Activation code too short.
LinphoneAccountCreatorActivationCodeStatusTooLong | Activation code too long.
LinphoneAccountCreatorActivationCodeStatusInvalidCharacters | Contain invalid characters.

## _LinphoneAccountCreatorAlgoStatus

enum _LinphoneAccountCreatorAlgoStatus

Enum describing algorithm checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorAlgoStatusOk | Algorithm ok.
LinphoneAccountCreatorAlgoStatusNotSupported | Algorithm not supported.

## _LinphoneAccountCreatorBackend

enum _LinphoneAccountCreatorBackend

Enum describing backend used in the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorBackendXMLRPC | XMLRPC Backend.
LinphoneAccountCreatorBackendFlexiAPI | FlexiAPI Backend.

## _LinphoneAccountCreatorDomainStatus

enum _LinphoneAccountCreatorDomainStatus

Enum describing domain checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorDomainOk | Domain ok.
LinphoneAccountCreatorDomainInvalid | Domain invalid.

## _LinphoneAccountCreatorEmailStatus

enum _LinphoneAccountCreatorEmailStatus

Enum describing email checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorEmailStatusOk | Email ok.
LinphoneAccountCreatorEmailStatusMalformed | Email malformed.
LinphoneAccountCreatorEmailStatusInvalidCharacters | Contain invalid characters.

## _LinphoneAccountCreatorLanguageStatus

enum _LinphoneAccountCreatorLanguageStatus

Enum describing language checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorLanguageStatusOk | Language ok.

## _LinphoneAccountCreatorPasswordStatus

enum _LinphoneAccountCreatorPasswordStatus

Enum describing password checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorPasswordStatusOk | Password ok.
LinphoneAccountCreatorPasswordStatusTooShort | Password too short.
LinphoneAccountCreatorPasswordStatusTooLong | Password too long.
LinphoneAccountCreatorPasswordStatusInvalidCharacters | Contain invalid characters.
LinphoneAccountCreatorPasswordStatusMissingCharacters | Missing specific characters.

## _LinphoneAccountCreatorPhoneNumberStatus

enum _LinphoneAccountCreatorPhoneNumberStatus

Enum describing phone number checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorPhoneNumberStatusOk | Phone number ok.
LinphoneAccountCreatorPhoneNumberStatusTooShort | Phone number too short.
LinphoneAccountCreatorPhoneNumberStatusTooLong | Phone number too long.
LinphoneAccountCreatorPhoneNumberStatusInvalidCountryCode | Country code invalid.
LinphoneAccountCreatorPhoneNumberStatusInvalid | Phone number invalid.

## _LinphoneAccountCreatorTransportStatus

enum _LinphoneAccountCreatorTransportStatus

Enum describing transport checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorTransportOk | Transport ok.
LinphoneAccountCreatorTransportUnsupported | Transport invalid.

## _LinphoneAccountCreatorUsernameStatus

enum _LinphoneAccountCreatorUsernameStatus

Enum describing username checking, used by the LinphoneAccountCreator.

Enumerator
LinphoneAccountCreatorUsernameStatusOk | Username ok.
LinphoneAccountCreatorUsernameStatusTooShort | Username too short.
LinphoneAccountCreatorUsernameStatusTooLong | Username too long.
LinphoneAccountCreatorUsernameStatusInvalidCharacters | Contain invalid characters.
LinphoneAccountCreatorUsernameStatusInvalid | Invalid username.

## Function Documentation

## linphone_account_creator_activate_account()

LinphoneAccountCreatorStatus linphone_account_creator_activate_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to activate an account on server.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_activate_alias()

LinphoneAccountCreatorStatus linphone_account_creator_activate_alias | ( | LinphoneAccountCreator * | creator | ) |

Send a request to activate an alias.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_add_callbacks()

void linphone_account_creator_add_callbacks | ( | LinphoneAccountCreator * | creator,
|  | LinphoneAccountCreatorCbs * | cbs )

Add the LinphoneAccountCreatorCbs object to a LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object
  cbs | The LinphoneAccountCreatorCbs object to add to the LinphoneAccountCreator.

## linphone_account_creator_cbs_get_account_creation_request_token()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_account_creation_request_token | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the callback on account creation request token.

In response:

- "token" is the request token to used with linphone_account_creator_request_account_creation_token_using_request_token().
- "validation_url" is a URL to redirect the user into a browser for validation. In status:
- LinphoneAccountCreatorStatusRequestOk: the request token should be in response with the validation url.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current request token request.

## linphone_account_creator_cbs_get_account_creation_token_using_request_token()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_account_creation_token_using_request_token | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the callback on account creation token.

In response, "token" is the token to pass to linphone_account_creator_set_token(). It is used for linphone_account_creator_create_account()

In status:

- LinphoneAccountCreatorStatusRequestOk: token can be retrieved from the "token" field in response.
- LinphoneAccountCreatorStatusRequestFailed: request token has not been validated. Recall linphone_account_creator_request_account_creation_token_using_request_token() after some time.
- LinphoneAccountCreatorStatusMissingArguments: request_token has not been set from linphone_account_creator_set_token().
- LinphoneAccountCreatorStatusServerError: URL is not reachable.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current request token request.

## linphone_account_creator_cbs_get_activate_account()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_activate_account | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the activate account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current activate account request.

## linphone_account_creator_cbs_get_activate_alias()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_activate_alias | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the activate alias request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current link account request.

## linphone_account_creator_cbs_get_create_account()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_create_account | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the create account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current create account request.

## linphone_account_creator_cbs_get_is_account_activated()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_is_account_activated | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the is account activated request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current is account activated request.

## linphone_account_creator_cbs_get_is_account_exist()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_is_account_exist | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the is account exist request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current is account exist request.

## linphone_account_creator_cbs_get_is_account_linked()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_is_account_linked | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the is account linked request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current is account linked request.

## linphone_account_creator_cbs_get_is_alias_used()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_is_alias_used | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the is alias used request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current is alias used request.

## linphone_account_creator_cbs_get_link_account()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_link_account | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the link account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current link account request.

## linphone_account_creator_cbs_get_login_linphone_account()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_login_linphone_account | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the login linphone account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current login linphone account request.

## linphone_account_creator_cbs_get_recover_account()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_recover_account | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the recover account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current recover account request.

## linphone_account_creator_cbs_get_send_token()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_send_token | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the activate account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current activate account request.

## linphone_account_creator_cbs_get_update_account()

LinphoneAccountCreatorCbsStatusCb linphone_account_creator_cbs_get_update_account | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Get the update account request.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The current update account request.

## linphone_account_creator_cbs_get_user_data()

void * linphone_account_creator_cbs_get_user_data | ( | const LinphoneAccountCreatorCbs * | cbs | ) |

Retrieve the user pointer associated with a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The user pointer associated with the LinphoneAccountCreatorCbs object.

## linphone_account_creator_cbs_ref()

LinphoneAccountCreatorCbs * linphone_account_creator_cbs_ref | ( | LinphoneAccountCreatorCbs * | cbs | ) |

Acquire a reference to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

Returns
  The same LinphoneAccountCreatorCbs object.

## linphone_account_creator_cbs_set_account_creation_request_token()

void linphone_account_creator_cbs_set_account_creation_request_token | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The request token callback used.

## linphone_account_creator_cbs_set_account_creation_token_using_request_token()

void linphone_account_creator_cbs_set_account_creation_token_using_request_token | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The token callback used.

## linphone_account_creator_cbs_set_activate_account()

void linphone_account_creator_cbs_set_activate_account | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The activate account request to be used.

## linphone_account_creator_cbs_set_activate_alias()

void linphone_account_creator_cbs_set_activate_alias | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The activate alias request to be used.

## linphone_account_creator_cbs_set_create_account()

void linphone_account_creator_cbs_set_create_account | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The create account request to be used.

## linphone_account_creator_cbs_set_is_account_activated()

void linphone_account_creator_cbs_set_is_account_activated | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The is account activated request to be used.

## linphone_account_creator_cbs_set_is_account_exist()

void linphone_account_creator_cbs_set_is_account_exist | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The is account exist request to be used.

## linphone_account_creator_cbs_set_is_account_linked()

void linphone_account_creator_cbs_set_is_account_linked | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The is account linked request to be used.

## linphone_account_creator_cbs_set_is_alias_used()

void linphone_account_creator_cbs_set_is_alias_used | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The is alias used request to be used.

## linphone_account_creator_cbs_set_link_account()

void linphone_account_creator_cbs_set_link_account | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The link account request to be used.

## linphone_account_creator_cbs_set_login_linphone_account()

void linphone_account_creator_cbs_set_login_linphone_account | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The login linphone account request to be used.

## linphone_account_creator_cbs_set_recover_account()

void linphone_account_creator_cbs_set_recover_account | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The recover account request to be used.

## linphone_account_creator_cbs_set_send_token()

void linphone_account_creator_cbs_set_send_token | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The send token request used.

## linphone_account_creator_cbs_set_update_account()

void linphone_account_creator_cbs_set_update_account | ( | LinphoneAccountCreatorCbs * | cbs,
|  | LinphoneAccountCreatorCbsStatusCb | cb )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  cb | The update account request to be used.

## linphone_account_creator_cbs_set_user_data()

void linphone_account_creator_cbs_set_user_data | ( | LinphoneAccountCreatorCbs * | cbs,
|  | void * | user_data )

Assign a user pointer to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.
  user_data | The user pointer to associate with the LinphoneAccountCreatorCbs object.

## linphone_account_creator_cbs_unref()

void linphone_account_creator_cbs_unref | ( | LinphoneAccountCreatorCbs * | cbs | ) |

Release a reference to a LinphoneAccountCreatorCbs object.

Parameters

  cbs | LinphoneAccountCreatorCbs object.

## linphone_account_creator_configure()

MS2_DEPRECATED LinphoneProxyConfig * linphone_account_creator_configure | ( | const LinphoneAccountCreator * | creator | ) |

Configure an account (create a proxy config and authentication info for it).

Parameters

  creator | LinphoneAccountCreator object

Returns
  A LinphoneProxyConfig object if successful, NULL otherwise

Deprecated
  13/04/2017 Use linphone_account_creator_create_proxy_config() instead

## linphone_account_creator_create()

LinphoneAccountCreator * linphone_account_creator_create | ( | LinphoneCore * | core | ) |

Create a LinphoneAccountCreator and set Linphone Request callbacks.

Parameters

  core | The LinphoneCore used for the XML-RPC communication

Returns
  The new LinphoneAccountCreator object.

## linphone_account_creator_create_account()

LinphoneAccountCreatorStatus linphone_account_creator_create_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to create an account on server.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_create_account_in_core()

LinphoneAccount * linphone_account_creator_create_account_in_core | ( | const LinphoneAccountCreator * | creator | ) |

Create and configure a LinphoneAccount and a LinphoneAuthInfo from informations set in the LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object

Returns
  A LinphoneAccount object if successful, NULL otherwise.

## linphone_account_creator_create_proxy_config()

LinphoneProxyConfig * linphone_account_creator_create_proxy_config | ( | const LinphoneAccountCreator * | creator | ) |

Create and configure a proxy config and a authentication info for an account creator.

Parameters

  creator | LinphoneAccountCreator object

Returns
  A LinphoneProxyConfig object if successful, NULL otherwise.

Deprecated
  05/05/2023 Use linphone_account_creator_create_account_in_core() instead.

## linphone_account_creator_create_push_account()

LinphoneAccountCreatorStatus linphone_account_creator_create_push_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to create a push account on server.

Push accounts are used in account dependent situation when account cannot send push notifications. A username and password are automatically generated, an account is automatically activated.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_get_account_creation_request_token()

const char * linphone_account_creator_get_account_creation_request_token | ( | const LinphoneAccountCreator * | creator | ) |

Get the account creation request token received to be used to check user validation.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The token set, if any

## linphone_account_creator_get_activation_code()

const char * linphone_account_creator_get_activation_code | ( | const LinphoneAccountCreator * | creator | ) |

Get the activation code.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The activation code of the LinphoneAccountCreator.

## linphone_account_creator_get_algorithm()

const char * linphone_account_creator_get_algorithm | ( | const LinphoneAccountCreator * | creator | ) |

Get the algorithm configured in the account creator.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The algorithm of the LinphoneAccountCreator.

## linphone_account_creator_get_callbacks()

MS2_DEPRECATED LinphoneAccountCreatorCbs * linphone_account_creator_get_callbacks | ( | const LinphoneAccountCreator * | creator | ) |

Get the LinphoneAccountCreatorCbs object associated with a LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The LinphoneAccountCreatorCbs object associated with the LinphoneAccountCreator.

Deprecated
  19/02/2019 use add_callbacks / remove_callbacks instead

## linphone_account_creator_get_current_callbacks()

LinphoneAccountCreatorCbs * linphone_account_creator_get_current_callbacks | ( | const LinphoneAccountCreator * | creator | ) |

Get the current LinphoneAccountCreatorCbs object associated with a LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The current LinphoneAccountCreatorCbs object associated with the LinphoneAccountCreator.

## linphone_account_creator_get_display_name()

const char * linphone_account_creator_get_display_name | ( | const LinphoneAccountCreator * | creator | ) |

Get the display name.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The display name of the LinphoneAccountCreator.

## linphone_account_creator_get_domain()

const char * linphone_account_creator_get_domain | ( | const LinphoneAccountCreator * | creator | ) |

Get the domain.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The domain of the LinphoneAccountCreator.

## linphone_account_creator_get_email()

const char * linphone_account_creator_get_email | ( | const LinphoneAccountCreator * | creator | ) |

Get the email.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The email of the LinphoneAccountCreator.

## linphone_account_creator_get_ha1()

const char * linphone_account_creator_get_ha1 | ( | const LinphoneAccountCreator * | creator | ) |

Get the ha1.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The ha1 of the LinphoneAccountCreator.

## linphone_account_creator_get_language()

const char * linphone_account_creator_get_language | ( | const LinphoneAccountCreator * | creator | ) |

Get the language use in email of SMS.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The language of the LinphoneAccountCreator.

## linphone_account_creator_get_password()

const char * linphone_account_creator_get_password | ( | const LinphoneAccountCreator * | creator | ) |

Get the password.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The password of the LinphoneAccountCreator.

## linphone_account_creator_get_phone_country_code()

const char * linphone_account_creator_get_phone_country_code | ( | const LinphoneAccountCreator * | creator | ) |

Get the international prefix.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The international prefix (or phone country code) of the LinphoneAccountCreator.

## linphone_account_creator_get_phone_number()

const char * linphone_account_creator_get_phone_number | ( | const LinphoneAccountCreator * | creator | ) |

Get the RFC 3966 normalized phone number.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The phone number of the LinphoneAccountCreator.

## linphone_account_creator_get_pn_param()

const char * linphone_account_creator_get_pn_param | ( | const LinphoneAccountCreator * | creator | ) |

Get the param to be used by the backend to send the push notification to the device asking for an auth token.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The pn_param set, if any

## linphone_account_creator_get_pn_prid()

const char * linphone_account_creator_get_pn_prid | ( | const LinphoneAccountCreator * | creator | ) |

Get the prid to be used by the backend to send the push notification to the device asking for an auth token.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The pn_prid set, if any

## linphone_account_creator_get_pn_provider()

const char * linphone_account_creator_get_pn_provider | ( | const LinphoneAccountCreator * | creator | ) |

Get the provider to be used by the backend to send the push notification to the device asking for an auth token.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The pn_provider set, if any

## linphone_account_creator_get_route()

MS2_DEPRECATED const char * linphone_account_creator_get_route | ( | const LinphoneAccountCreator * | creator | ) |

Get the route.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The route of the LinphoneAccountCreator.

## linphone_account_creator_get_service()

LinphoneAccountCreatorService * linphone_account_creator_get_service | ( | const LinphoneAccountCreator * | creator | ) |

Get the LinphoneAccountCreatorService object associated with a LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The LinphoneAccountCreatorService object associated with the LinphoneAccountCreator.

## linphone_account_creator_get_set_as_default()

bool_t linphone_account_creator_get_set_as_default | ( | const LinphoneAccountCreator * | creator | ) |

Get the set_as_default property.

Parameters

  creator | LinphoneAccountCreator object

Returns
  TRUE if account will be set as default, FALSE otherwise.

## linphone_account_creator_get_token()

const char * linphone_account_creator_get_token | ( | const LinphoneAccountCreator * | creator | ) |

Get the authentication token set (if any) to be used to authenticate next queries, if required.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The token set, if any

## linphone_account_creator_get_transport()

LinphoneTransportType linphone_account_creator_get_transport | ( | const LinphoneAccountCreator * | creator | ) |

Get Transport.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The LinphoneTransportType of the creator.

## linphone_account_creator_get_user_data()

void * linphone_account_creator_get_user_data | ( | const LinphoneAccountCreator * | creator | ) |

Retrieve the user pointer associated with the LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object.

Returns
  The user pointer associated with the LinphoneAccountCreator.

## linphone_account_creator_get_username()

const char * linphone_account_creator_get_username | ( | const LinphoneAccountCreator * | creator | ) |

Get the username.

Parameters

  creator | LinphoneAccountCreator object

Returns
  The username of the LinphoneAccountCreator.

## linphone_account_creator_is_account_activated()

LinphoneAccountCreatorStatus linphone_account_creator_is_account_activated | ( | LinphoneAccountCreator * | creator | ) |

Send a request to know if an account is activated on server.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_is_account_exist()

LinphoneAccountCreatorStatus linphone_account_creator_is_account_exist | ( | LinphoneAccountCreator * | creator | ) |

Send a request to know the existence of account on server.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_is_account_linked()

LinphoneAccountCreatorStatus linphone_account_creator_is_account_linked | ( | LinphoneAccountCreator * | creator | ) |

Send a request to know if an account is linked.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_is_alias_used()

LinphoneAccountCreatorStatus linphone_account_creator_is_alias_used | ( | LinphoneAccountCreator * | creator | ) |

Send a request to know if an alias is used.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_link_account()

LinphoneAccountCreatorStatus linphone_account_creator_link_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to link an account to an alias.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_login_linphone_account()

LinphoneAccountCreatorStatus linphone_account_creator_login_linphone_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to get the password & algorithm of an account using the confirmation key.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_new()

LinphoneAccountCreator * linphone_account_creator_new | ( | LinphoneCore * | core,
|  | const char * | xmlrpc_url )

Create a LinphoneAccountCreator and set Linphone Request callbacks.

Parameters

  core | The LinphoneCore used for the XML-RPC communication
  xmlrpc_url | The URL to the XML-RPC server.

Returns
  The new LinphoneAccountCreator object.

Deprecated
  13/04/2020 Use linphone_account_creator_create() instead

## linphone_account_creator_recover_account()

LinphoneAccountCreatorStatus linphone_account_creator_recover_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to recover an account.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_ref()

LinphoneAccountCreator * linphone_account_creator_ref | ( | LinphoneAccountCreator * | creator | ) |

Acquire a reference to the LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object.

Returns
  The same LinphoneAccountCreator object.

## linphone_account_creator_remove_callbacks()

void linphone_account_creator_remove_callbacks | ( | LinphoneAccountCreator * | creator,
|  | LinphoneAccountCreatorCbs * | cbs )

Removes the LinphoneAccountCreatorCbs object from a LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object
  cbs | The LinphoneAccountCreatorCbs object to remove from the LinphoneAccountCreator.

## linphone_account_creator_request_account_creation_request_token()

LinphoneAccountCreatorStatus linphone_account_creator_request_account_creation_request_token | ( | LinphoneAccountCreator * | creator | ) |

Request an account creation "request_token" to be used on account creations.

The request_token is retrieved from the callback linphone_account_creator_cbs_get_account_creation_request_token()

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_request_account_creation_token_using_request_token()

LinphoneAccountCreatorStatus linphone_account_creator_request_account_creation_token_using_request_token | ( | LinphoneAccountCreator * | creator | ) |

Send a request to get a token to be used for account creation from a request_token.

The token is retrieved from the callback linphone_account_creator_cbs_get_account_creation_token_using_request_token()

Parameters

  creator | LinphoneAccountCreator object
  token | the request token to check. It comes from linphone_account_creator_cbs_get_account_creation_request_token()

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_request_auth_token()

LinphoneAccountCreatorStatus linphone_account_creator_request_auth_token | ( | LinphoneAccountCreator * | creator | ) |

Request an auth token to be send by the backend by push notification.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_reset()

void linphone_account_creator_reset | ( | LinphoneAccountCreator * | creator | ) |

Reset the account creator entries like username, password, phone number...

Parameters

  creator | LinphoneAccountCreator object

## linphone_account_creator_set_account_creation_request_token()

void linphone_account_creator_set_account_creation_request_token | ( | LinphoneAccountCreator * | creator,
|  | const char * | token )

Set the account creation request token received to be used to check user validation.

Parameters

  creator | LinphoneAccountCreator object
  token | The token to set

## linphone_account_creator_set_activation_code()

LinphoneAccountCreatorActivationCodeStatus linphone_account_creator_set_activation_code | ( | LinphoneAccountCreator * | creator,
|  | const char * | activation_code )

Set the activation code.

Parameters

  creator | LinphoneAccountCreator object
  activation_code | The activation code to set

Returns
  LinphoneAccountCreatorActivationCodeStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_algorithm()

LinphoneAccountCreatorAlgoStatus linphone_account_creator_set_algorithm | ( | LinphoneAccountCreator * | creator,
|  | const char * | algorithm )

Set the supported algorithm.

Parameters

  creator | LinphoneAccountCreator object
  algorithm | The algorithm to use

Returns
  LinphoneAccountCreatorAlgoStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_as_default()

LinphoneAccountCreatorStatus linphone_account_creator_set_as_default | ( | LinphoneAccountCreator * | creator,
|  | bool_t | set_as_default )

Set the set_as_default property.

Parameters

  creator | LinphoneAccountCreator object
  set_as_default | TRUE for the created proxy config to be set as default in LinphoneCore, FALSE otherwise

Returns
  LinphoneAccountCreatorStatusRequestOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_display_name()

LinphoneAccountCreatorUsernameStatus linphone_account_creator_set_display_name | ( | LinphoneAccountCreator * | creator,
|  | const char * | display_name )

Set the display name.

Parameters

  creator | LinphoneAccountCreator object
  display_name | The display name to set

Returns
  LinphoneAccountCreatorUsernameStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_domain()

LinphoneAccountCreatorDomainStatus linphone_account_creator_set_domain | ( | LinphoneAccountCreator * | creator,
|  | const char * | domain )

Set the domain.

Parameters

  creator | LinphoneAccountCreator object
  domain | The domain to set

Returns
  LinphoneAccountCreatorDomainOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_email()

LinphoneAccountCreatorEmailStatus linphone_account_creator_set_email | ( | LinphoneAccountCreator * | creator,
|  | const char * | email )

Set the email.

Parameters

  creator | LinphoneAccountCreator object
  email | The email to set

Returns
  LinphoneAccountCreatorEmailStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_ha1()

LinphoneAccountCreatorPasswordStatus linphone_account_creator_set_ha1 | ( | LinphoneAccountCreator * | creator,
|  | const char * | ha1 )

Set the ha1.

Parameters

  creator | LinphoneAccountCreator object
  ha1 | The ha1 to set

Returns
  LinphoneAccountCreatorPasswordStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_language()

LinphoneAccountCreatorLanguageStatus linphone_account_creator_set_language | ( | LinphoneAccountCreator * | creator,
|  | const char * | lang )

Set the language to use in email or SMS if supported.

Parameters

  creator | LinphoneAccountCreator object
  lang | The language to use

Returns
  LinphoneAccountCreatorLanguageStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_password()

LinphoneAccountCreatorPasswordStatus linphone_account_creator_set_password | ( | LinphoneAccountCreator * | creator,
|  | const char * | password )

Set the password.

Parameters

  creator | LinphoneAccountCreator object
  password | The password to set

Returns
  LinphoneAccountCreatorPasswordStatusOk if everything is OK, or specific(s) error(s) otherwise.

## linphone_account_creator_set_phone_number()

LinphoneAccountCreatorPhoneNumberStatusMask linphone_account_creator_set_phone_number | ( | LinphoneAccountCreator * | creator,
|  | const char * | phone_number,
|  | const char * | country_code )

Set the phone number normalized.

Parameters

  creator | LinphoneAccountCreator object
  phone_number | The phone number to set
  country_code | Country code to associate phone number with

Returns
  LinphoneAccountCreatorPhoneNumberStatusOk if everything is OK, or specific(s) error(s) otherwise.

## linphone_account_creator_set_pn_param()

void linphone_account_creator_set_pn_param | ( | LinphoneAccountCreator * | creator,
|  | const char * | pn_param )

Set the param to be used by the backend to send the push notification to the device asking for an auth token.

Parameters

  creator | LinphoneAccountCreator object
  pn_param | The pn_param to set

## linphone_account_creator_set_pn_prid()

void linphone_account_creator_set_pn_prid | ( | LinphoneAccountCreator * | creator,
|  | const char * | pn_prid )

Set the prid to be used by the backend to send the push notification to the device asking for an auth token.

Parameters

  creator | LinphoneAccountCreator object
  pn_prid | The pn_prid to set

## linphone_account_creator_set_pn_provider()

void linphone_account_creator_set_pn_provider | ( | LinphoneAccountCreator * | creator,
|  | const char * | pn_provider )

Set the provider to be used by the backend to send the push notification to the device asking for an auth token.

Parameters

  creator | LinphoneAccountCreator object
  pn_provider | The pn_provider to set

## linphone_account_creator_set_proxy_config()

void linphone_account_creator_set_proxy_config | ( | LinphoneAccountCreator * | creator,
|  | LinphoneProxyConfig * | cfg )

Assign a proxy config pointer to the LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object.
  cfg | The LinphoneProxyConfig to associate with the LinphoneAccountCreator.

## linphone_account_creator_set_route()

MS2_DEPRECATED LinphoneAccountCreatorStatus linphone_account_creator_set_route | ( | LinphoneAccountCreator * | creator,
|  | const char * | route )

Set the route.

Parameters

  creator | LinphoneAccountCreator object
  route | The route to set

Returns
  LinphoneAccountCreatorStatusRequestOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_token()

void linphone_account_creator_set_token | ( | LinphoneAccountCreator * | creator,
|  | const char * | token )

Set the authentication token received by push notification to be used to authenticate next queries, if required.

Parameters

  creator | LinphoneAccountCreator object
  token | The token to set

## linphone_account_creator_set_transport()

LinphoneAccountCreatorTransportStatus linphone_account_creator_set_transport | ( | LinphoneAccountCreator * | creator,
|  | LinphoneTransportType | transport )

Set Transport.

Parameters

  creator | LinphoneAccountCreator object
  transport | The LinphoneTransportType to set

Returns
  LinphoneAccountCreatorTransportOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_set_user_data()

void linphone_account_creator_set_user_data | ( | LinphoneAccountCreator * | creator,
|  | void * | user_data )

Assign a user pointer to the LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object.
  user_data | The user pointer to associate with the LinphoneAccountCreator.

## linphone_account_creator_set_username()

LinphoneAccountCreatorUsernameStatus linphone_account_creator_set_username | ( | LinphoneAccountCreator * | creator,
|  | const char * | username )

Set the username.

Parameters

  creator | LinphoneAccountCreator object
  username | The username to set

Returns
  LinphoneAccountCreatorUsernameStatusOk if everything is OK, or a specific error otherwise.

## linphone_account_creator_unref()

void linphone_account_creator_unref | ( | LinphoneAccountCreator * | creator | ) |

Release reference to the LinphoneAccountCreator.

Parameters

  creator | LinphoneAccountCreator object.

## linphone_account_creator_update_account()

LinphoneAccountCreatorStatus linphone_account_creator_update_account | ( | LinphoneAccountCreator * | creator | ) |

Send a request to update an account.

Parameters

  creator | LinphoneAccountCreator object

Returns
  LinphoneAccountCreatorStatusRequestOk if the request has been sent, LinphoneAccountCreatorStatusRequestFailed otherwise

## linphone_account_creator_use_test_admin_account()

void linphone_account_creator_use_test_admin_account | ( | LinphoneAccountCreator * | creator | ) |

Require the account creator to use special "test admin account".

Warning
  The "test admin account" is a special feature required for automated test, and requires the APP_EVERYONE_IS_ADMIN property to be enabled on the remote Flexisip Account Manager (FlexiAPI). This feature must never be turned on for a production-stage app.

Parameters

  creator | LinphoneAccountCreator object

## linphone_core_create_account_creator()

LinphoneAccountCreator * linphone_core_create_account_creator | ( | LinphoneCore * | core,
|  | const char * | xmlrpc_url )

Create a LinphoneAccountCreator and set Linphone Request callbacks.

Parameters

  core | The LinphoneCore used for the XML-RPC communication
  xmlrpc_url | The URL to the XML-RPC server.

Returns
  The new LinphoneAccountCreator object.

## linphone_core_get_account_creator_backend()

LinphoneAccountCreatorBackend linphone_core_get_account_creator_backend | ( | const LinphoneCore * | lc | ) |

Get the LinphoneAccountCreator backend set for the LinphoneCore.

Parameters

  core | The LinphoneCore

Returns
  The LinphoneAccountCreatorBackend

## linphone_core_get_account_creator_url()

const char * linphone_core_get_account_creator_url | ( | LinphoneCore * | core | ) |

Get the LinphoneAccountCreator url on the LinphoneCore.

Parameters

  core | The LinphoneCore used for the XML-RPC communication

Returns
  url The URL to reach.

## linphone_core_set_account_creator_backend()

void linphone_core_set_account_creator_backend | ( | LinphoneCore * | core,
|  | LinphoneAccountCreatorBackend | backend )

Set the LinphoneAccountCreator backend on the LinphoneCore.

Parameters

  core | The LinphoneCore
  backend | The LinphoneAccountCreatorBackend

## linphone_core_set_account_creator_url()

void linphone_core_set_account_creator_url | ( | LinphoneCore * | core,
|  | const char * | url )

Set the LinphoneAccountCreator url on the LinphoneCore.

Parameters

  core | The LinphoneCore used for the XML-RPC communication
  url | The URL to reach